al_set_d3d_device_release_callback(3)

NAME

al_set_d3d_device_release_callback - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_direct3d.h>
    void al_set_d3d_device_release_callback(
       void (*callback)(ALLEGRO_DISPLAY *display))

DESCRIPTION

The callback will be called whenever a D3D device is reset (minimize, toggle fullscreen window, etc). In the callback you should release any d3d resources you have created yourself. The callback receives the affected display as a parameter.

Pass NULL to disable the callback.

SINCE

5.1.0